package com.utyun.sample.http.uniform.controller;


import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/api")
public class ApiTestController {


    /**
     * 审批流接口接收数据
     *messageId需要保证幂等去重 防止重复调用消费
     */
    @PostMapping("/test")
    public ResponseInfo test(HttpServletRequest request)  {

        System.out.println(request);
        System.out.println("获取参数");
        System.out.println("------messageId-------" +request.getParameter("messageId"));
        System.out.println("------time-------" +request.getParameter("time"));
        System.out.println("-------body------" +request.getParameter("body"));
        //解密 secret 密钥
        String secret = "fshdhfhds343";
        System.out.println("------解密-body------" + DESUtil.decrypt(request.getParameter("body"),secret));
        //返回值
        return ResponseInfo.convertOK();
    }

}
